Subject: crate importer removes test dependencies for non-top-level crates

From: Maxime Devos <[email-masked]>
Date: Sun, 19 Jun 2022 10:56:37 +0200

Hi,

The crate importer removes #:dev-dependencies (i.e., test dependencies
and for benchmarks) for non-top-level crates, presumably because they
aren't used anyway by cargo-build-system because of the #:skip-build?.

However, antioxidant implements build results reuse, and I intend to
implement running tests as well (not yet implemented) (except for when
it would cause cycles), for which these #:dev-dependencies are actually
needed.

Proposal: don't remove the dev-dependencies in (guix import crate).

Greetings,
Maxime.